Runtime

## org.eclipse.gmf.runtime.common.ui.services.marker
Class MarkerNavigationService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.marker.MarkerNavigationService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, org.eclipse.gmf.runtime.common.ui.services.internal.marker.IMarkerNavigationProvider

    public class MarkerNavigationService

extends Service
implements org.eclipse.gmf.runtime.common.ui.services.internal.marker.IMarkerNavigationProvider

This service is the distribution point for "gotoMarker" requests made by Eclipse to an IEditorPart. In all editors, the implementation of the gotoMarker() method simply forwards the request to this service.

Marker navigation providers are chosen based upon priority and the list of marker types they support.

Nested Class Summary
`protected static class` `MarkerNavigationService.MarkerNavigationProviderDescriptor` Marker Navigation Provider Descriptor.

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`Service.ProviderDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`protected` `MarkerNavigationService()` The MarkerNavigationService constructor

Method Summary
`static MarkerNavigationService` `getInstance()` Gets the instance of MarkerNavigationService
`void` `gotoMarker(IEditorPart editor, IMarker marker)` Perform the navigation to a marker in the associated editor.
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### MarkerNavigationService

    protected MarkerNavigationService()

  The MarkerNavigationService constructor

Method Detail

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.

### getInstance

    public static MarkerNavigationService getInstance()

  Gets the instance of MarkerNavigationService

  Returns:
    Returns the `instance` variable

### gotoMarker

    public void gotoMarker(IEditorPart editor,
                           IMarker marker)

  Perform the navigation to a marker in the associated editor.

  Specified by:
    `gotoMarker` in interface `org.eclipse.gmf.runtime.common.ui.services.internal.marker.IMarkerNavigationProvider`
  See Also:
    `IMarkerNavigationProvider.gotoMarker(org.eclipse.ui.IEditorPart, org.eclipse.core.resources.IMarker)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.